//======== Copyright  1996-2008, Valve Corporation, All rights reserved. =========//
//
// Purpose: 
//
// $NoKeywords: $
//=================================================================================//

#ifndef SDK_BACKHROUNDPANEL_H
#define SDK_BACKHROUNDPANEL_H

#include <vgui_controls/Frame.h>
#include <vgui_controls/EditablePanel.h>

//-----------------------------------------------------------------------------
// Purpose: 
//-----------------------------------------------------------------------------
void DrawBackground( Color bgColor, int wide, int tall );
void DrawRoundedBackground( Color bgColor, int wide, int tall );

//-----------------------------------------------------------------------------
// Purpose: 
//-----------------------------------------------------------------------------
void DrawBorder( Color borderColor, int wide, int tall, int borderwidth = 2 );
void DrawEmptyBorder( Color borderColor, int x1, int y1, int x2, int y2, bool thickborder = false );
void DrawBrokenBorder( Color borderColor, int x, int y, int wide, int tall, int broken_w= 15, int broken_h = 15, int borderwidth = 2 );
void DrawRoundedBorder( Color borderColor, int wide, int tall );

void DrawGradient( Color firstColor, Color secondColor, int x, int y, int wide, int tall, float alpha0, float alpha1, bool horizontal = false );

//-----------------------------------------------------------------------------
#endif // SDK_BACKHROUNDPANEL_H
